using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories;

public interface IPatientDiagnosisRepository
{
    IEnumerable<PatientDiagnosis> ReadDiagnosises();

    PatientDiagnosis ReadDiagnosisById(int id);

    void CreateDiagnosis(PatientDiagnosis diagnosis);

    void UpdateDiagnosis(PatientDiagnosis diagnosis);

    void DeleteDiagnosis(int id);
}